<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:14 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
CookieAttributeHandler (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CookieAttributeHandler (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CookieAttributeHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/cookie/CookieIdentityComparator.html" title="class in org.apache.http.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/cookie/CookieAttributeHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CookieAttributeHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.cookie</FONT>
<BR>
Interface CookieAttributeHandler</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../org/apache/http/impl/cookie/AbstractCookieAttributeHandler.html" title="class in org.apache.http.impl.cookie">AbstractCookieAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicCommentHandler.html" title="class in org.apache.http.impl.cookie">BasicCommentHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicDomainHandler.html" title="class in org.apache.http.impl.cookie">BasicDomainHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicExpiresHandler.html" title="class in org.apache.http.impl.cookie">BasicExpiresHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicMaxAgeHandler.html" title="class in org.apache.http.impl.cookie">BasicMaxAgeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicPathHandler.html" title="class in org.apache.http.impl.cookie">BasicPathHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BasicSecureHandler.html" title="class in org.apache.http.impl.cookie">BasicSecureHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/BrowserCompatVersionAttributeHandler.html" title="class in org.apache.http.impl.cookie">BrowserCompatVersionAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/NetscapeDomainHandler.html" title="class in org.apache.http.impl.cookie">NetscapeDomainHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/PublicSuffixFilter.html" title="class in org.apache.http.impl.cookie">PublicSuffixFilter</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2109DomainHandler.html" title="class in org.apache.http.impl.cookie">RFC2109DomainHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2109VersionHandler.html" title="class in org.apache.http.impl.cookie">RFC2109VersionHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html" title="class in org.apache.http.impl.cookie">RFC2965CommentUrlAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html" title="class in org.apache.http.impl.cookie">RFC2965DiscardAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html" title="class in org.apache.http.impl.cookie">RFC2965DomainAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html" title="class in org.apache.http.impl.cookie">RFC2965PortAttributeHandler</A>, <A HREF="../../../../org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html" title="class in org.apache.http.impl.cookie">RFC2965VersionAttributeHandler</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>CookieAttributeHandler</B></DL>
</PRE>

<P>
This interface represents a cookie attribute handler responsible
 for parsing, validating, and matching a specific cookie attribute,
 such as path, domain, port, etc.

 Different cookie specifications can provide a specific
 implementation for this class based on their cookie handling
 rules.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/cookie/CookieAttributeHandler.html#match(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">match</A></B>(<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
      <A HREF="../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Matches the given value (property of the destination host where request is being
 submitted) with the corresponding cookie attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/cookie/CookieAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the given cookie attribute value and update the corresponding
 <A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> property.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/cookie/CookieAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Peforms cookie validation for the given attribute value.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="parse(org.apache.http.cookie.SetCookie, java.lang.String)"><!-- --></A><H3>
parse</H3>
<PRE>
void <B>parse</B>(<A HREF="../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)
           throws <A HREF="../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></PRE>
<DL>
<DD>Parse the given cookie attribute value and update the corresponding
 <A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> property.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cookie</CODE> - <A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> to be updated<DD><CODE>value</CODE> - cookie attribute value from the cookie response header
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)"><!-- --></A><H3>
validate</H3>
<PRE>
void <B>validate</B>(<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
              <A HREF="../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)
              throws <A HREF="../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></PRE>
<DL>
<DD>Peforms cookie validation for the given attribute value.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cookie</CODE> - <A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> to validate<DD><CODE>origin</CODE> - the cookie source to validate against
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></CODE> - if cookie validation fails for this attribute</DL>
</DD>
</DL>
<HR>

<A NAME="match(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)"><!-- --></A><H3>
match</H3>
<PRE>
boolean <B>match</B>(<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
              <A HREF="../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</PRE>
<DL>
<DD>Matches the given value (property of the destination host where request is being
 submitted) with the corresponding cookie attribute.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cookie</CODE> - <A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> to match<DD><CODE>origin</CODE> - the cookie source to match against
<DT><B>Returns:</B><DD><tt>true</tt> if the match is successful; <tt>false</tt> otherwise</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CookieAttributeHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/cookie/CookieIdentityComparator.html" title="class in org.apache.http.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/cookie/CookieAttributeHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CookieAttributeHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
